From 5e1c509b13664fa35ff4d0dbfe2264c46ae6ccd6 Mon Sep 17 00:00:00 2001
From: Kedar Sovani <kedars@marvell.com>
Date: Tue, 27 Oct 2009 18:29:12 +0100
Subject: [PATCH] Fix std::snprintf not found error

Need to investigate further why does this appear.

Signed-off-by: Kedar Sovani <kedars@marvell.com>
---
 bes-snprintf-arm-hack.patch |   11 +++++++++++
 bes.spec                    |    7 ++++++-
 2 files changed, 17 insertions(+), 1 deletions(-)
 create mode 100644 bes-snprintf-arm-hack.patch

diff --git a/bes-snprintf-arm-hack.patch b/bes-snprintf-arm-hack.patch
new file mode 100644
index 0000000..28888e0
--- /dev/null
+++ b/bes-snprintf-arm-hack.patch
@@ -0,0 +1,11 @@
+--- bes-3.7.2/dispatch/BESUtil.cc.orig	2009-10-27 17:29:14.389078919 +0100
++++ bes-3.7.2/dispatch/BESUtil.cc	2009-10-27 17:29:56.059079030 +0100
+@@ -49,7 +49,7 @@
+ using std::istringstream ;
+ using std::cout ;
+ using std::endl ;
+-using std::snprintf ;
++//using std::snprintf ;
+ 
+ #include "BESUtil.h"
+ #include "BESForbiddenError.h"
diff --git a/bes.spec b/bes.spec
index 3e1f077..0a975a3 100644
--- a/bes.spec
+++ b/bes.spec
@@ -6,7 +6,7 @@
 
 Name:           bes
 Version:        3.7.2
-Release:        3%{?dist}
+Release:        3%{?dist}.fa1
 Summary:        Back-end server software framework for OPeNDAP
 
 Group:          System Environment/Libraries
@@ -15,6 +15,7 @@ URL:            http://www.opendap.org/download/BES.html
 Source0:        http://www.opendap.org/pub/source/bes-%{version}.tar.gz
 Patch1:         bes-3.6.2-includes.patch
 Patch2:         bes-3.7.2-openssl.patch
+Patch3:		bes-snprintf-arm-hack.patch 
 
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
@@ -66,6 +67,7 @@ Documentation of OPeNDAP BES.
 %setup -q
 %patch1 -p1 -b .includes
 %patch2 -p1 -b .openssl
+%patch3 -p1 -b .armhack
 chmod a-x dispatch/BESStreamResponseHandler*
 
 %build
@@ -158,6 +160,9 @@ exit 0
 %doc __distribution_docs/api-html/
 
 %changelog
+* Tue Oct 27 2009 Kedar Sovani <kedars@marvell.com> 
+- Fix std::snprintf not found error
+
 * Sat Aug 22 2009 Tomas Mraz <tmraz@redhat.com> - 3.7.2-3
 - rebuilt with new openssl
 
-- 
1.5.5.6

